summary refs log tree commit diff
path: root/import.sh
diff options
context:
space:
mode:
authorJune McEnroe <programble@gmail.com>2015-05-24 04:01:23 -0400
committerJune McEnroe <programble@gmail.com>2015-05-24 04:01:23 -0400
commit5188f04ee9c96ece8becba35df85edeadc41a626 (patch)
tree6b35081272c1461ece58110b4fd15cc4d6a7c8b3 /import.sh
parentAdd tmux shortcut functions (diff)
downloadsrc-5188f04ee9c96ece8becba35df85edeadc41a626.tar.gz
src-5188f04ee9c96ece8becba35df85edeadc41a626.zip
Replace effuse with simple shell scripts
Diffstat (limited to 'import.sh')
-rwxr-xr-ximport.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/import.sh b/import.sh
new file mode 100755
index 00000000..f9233ba8
--- /dev/null
+++ b/import.sh
@@ -0,0 +1,21 @@
+#!/usr/bin/bash
+
+# Import a file from ~ and replace it with a symlink.
+
+set -e
+
+error() {
+  echo "$1"
+  exit 1
+}
+
+[ -z "$1" ] && error "no path"
+
+source_path="$HOME/$1"
+dest_path="$PWD/$1"
+
+[ -f "$dest_path" ] && error "$dest_path already exists"
+[ -f "$source_path" ] || error "$source_path does not exist"
+
+mv "$source_path" "$dest_path"
+ln -s "$dest_path" "$source_path"